Bug 200577 - Improve automatic source mapper
Improve automatic source mapper
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0.1
PC Solaris
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-01 14:59 UTC by Alexander Simon
Modified: 2011-09-26 13:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-08-01 14:59:32 UTC
Create project from binary file wizard has a smart algorithm fro resolving sources.
For example:
Let project located in folder:
/home/user/projects/application
Source file:
/home/user/projects/application/main.cc
Binary file /home/user/projects/application/dist/Debug/GNU-MacOSX/main
Other user tries to create project from the binary visible as:
/net/server/home/user/projects/application/dist/Debug/GNU-MacOSX/main
Project creator smartly remaps source to
/net/server/home/user/projects/application/main.cc.

This algorithm cannot remap sources in following cases:
1. rename folder to /home/user/projects/application /home/user/projects/application2
2. move folder /home/user/projects/application to /home/user/projects2
Comment 1 Alexander Simon 2011-08-01 15:40:24 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/f2b432904b66
Comment 2 Quality Engineering 2011-08-02 13:42:47 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/f2b432904b66
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #200577  Improve automatic source mapper
Comment 3 Leonid Lenyashin 2011-08-03 08:43:29 UTC
Sasha,

Note that not only mapping was an issue. The lack of diagnozability, the obscurity was as well. That is important to have more or less clear indication of what's up when something is going wrong.

LL
Comment 4 Leonid Lenyashin 2011-08-03 08:44:20 UTC
Sorry, commented to a wrong IZ. Please disregard.
Comment 5 Alexander Simon 2011-08-15 10:42:25 UTC
Fix transplanted to release701_fixes on elif:
f2b432904b66 transplanted to 76faeaf482d6
Comment 6 soldatov 2011-08-23 12:30:14 UTC
Verified in NetBeans IDE 7.0.1 (Build oss-platform-build-30-on-20110823)
Comment 7 Alexander Simon 2011-08-24 11:37:42 UTC
integrated in release701_fixes:
76faeaf482d6 transplanted to 1021f3a10f98
Comment 8 Quality Engineering 2011-08-25 04:25:14 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/1021f3a10f98
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #200577  Improve automatic source mapper
(transplanted from 76faeaf482d6c38dc2e7352f30ab1546e5b826cd)
Comment 9 soldatov 2011-08-29 09:04:45 UTC
verified
Comment 10 Quality Engineering 2011-09-26 13:30:50 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/76faeaf482d6
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #200577  Improve automatic source mapper


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo